
procedure	seqexam( imlist, st_log, x_start, y_start )

file	imlist		{prompt = "Input image list with @ mark"}
file    st_log          {prompt = "Log file of flux, sky, and FWHM of the selected star"}
real    x_start         {prompt = "Initial x position of measuring"}
real    y_start         {prompt = "Initial y position of measuring"}

struct  *list3_2  {mode = 'h'}
struct  *list5    {mode = 'h'}
#
#
begin
	string	tmpfile3_2, tmpfile4, tmpfile5

	string 	junk1, junk2, junk3, junk4, junk5, junk6, junk7

	string  filelist1

        string  wcs

	string  st_log1

        real    flux1, sky1, el1, pa1, fwhm1
        real    flux2, sky2, el2, pa2, fwhm2
        real    flux3, sky3, el3, pa3, fwhm3
        real    flux4, sky4, el4, pa4, fwhm4
        real    flux5, sky5, el5, pa5, fwhm5
        real    flux6, sky6, el6, pa6, fwhm6

        real    x_str, y_str
	real    x, y
        
	filelist1 = imlist
	tmpfile3_2 = mktemp( "tmp_file." )
# ---- Image Name or Image List with @ mark ?
	sections( filelist1, option='fullname', > tmpfile3_2 )
	list3_2 = tmpfile3_2

	list5 = ""

	st_log1 = st_log
	x = x_start
	y = y_start

	junk1=""
	junk2=""
	junk3=""
	junk4=""
	junk5=""
	junk6=""
	junk7=""

        tmpfile4  = mktemp( "tmp_file." )
        tmpfile5  = mktemp( "tmp_file." )

	while( fscan( list3_2, junk1 ) == 1 ) 
	{
                 delete( tmpfile4,ver-,>&"dev$null" )
                 delete( tmpfile5,ver-,>&"dev$null" )

                 print(":",x,y," ,", >> tmpfile4)
                 print(":center yes", >> tmpfile4)
                 print(":fittype gaussian", >> tmpfile4)
                 print(":iterations 1", >> tmpfile4)
                 print(":radius 5", >> tmpfile4)
                 print(":buffer 5", >> tmpfile4)
                 print(":width 5", >> tmpfile4)
                 print(":",x,y," ,", >> tmpfile4)
                 print(":radius 10", >> tmpfile4)
                 print(":buffer 10", >> tmpfile4)
                 print(":width 10", >> tmpfile4)
                 print(":",x,y," ,", >> tmpfile4)
                 print(":radius 15", >> tmpfile4)
                 print(":buffer 15", >> tmpfile4)
                 print(":width 15", >> tmpfile4)
                 print(":",x,y," ,", >> tmpfile4)
                 print(":radius 20", >> tmpfile4)
                 print(":buffer 20", >> tmpfile4)
                 print(":width 20", >> tmpfile4)
                 print(":",x,y," ,", >> tmpfile4)
                 print(":radius 3", >> tmpfile4)
                 print(":buffer 3", >> tmpfile4)
                 print(":width 3", >> tmpfile4)
                 print(":",x,y," ,", >> tmpfile4)
                 print(":radius 4", >> tmpfile4)
                 print(":buffer 4", >> tmpfile4)
                 print(":width 4", >> tmpfile4)
                 print(":",x,y," ,", >> tmpfile4)
                 print(":radius 5", >> tmpfile4)
                 print(":buffer 5", >> tmpfile4)
                 print(":width 5", >> tmpfile4)
                 wcsreset( junk1, "physical" )
                 imexam(junk1,logfile=tmpfile5,keeplog+,graphcur-, imagecur=tmpfile4,wcs="physical", graphic="stdgraph",use_dis-)
                 list5 = tmpfile5
                 if( fscan( list5, junk2 ) == 1){
                 if( fscan( list5, junk2 ) == 1){
                 if( fscan( list5, junk2 ) == 1){
                    if( fscan( list5, x_str, y_str, junk4, flux1, sky1, junk5, junk6, el1, pa1, junk7, fwhm1) == 11){
                    if( fscan( list5, junk2, junk3, junk4, flux2, sky2, junk5, junk6, el2, pa2, junk7, fwhm2) == 11){
                    if( fscan( list5, junk2, junk3, junk4, flux3, sky3, junk5, junk6, el3, pa3, junk7, fwhm3) == 11){
                    if( fscan( list5, junk2, junk3, junk4, flux4, sky4, junk5, junk6, el4, pa4, junk7, fwhm4) == 11){
                    if( fscan( list5, junk2, junk3, junk4, flux5, sky5, junk5, junk6, el5, pa5, junk7, fwhm5) == 11){
                    if( fscan( list5, junk2, junk3, junk4, flux6, sky6, junk5, junk6, el6, pa6, junk7, fwhm6) == 11){
		       x=x_str
                       y=y_str
                       }}}}}}
                    }}}
	    print( junk1, "   ", x_str, y_str, flux1, sky1, el1, pa1, fwhm1, flux2, sky2, el2, pa2, fwhm2, flux3, sky3, el3, pa3, fwhm3, >> st_log1 )
	}

finish:
	delete( tmpfile3_2,ver-,>&"dev$null" )
	delete( tmpfile4,ver-,>&"dev$null" )
	delete( tmpfile5,ver-,>&"dev$null" )
	print( 'This procedure ended.' )
	bye
end
