#
#  mksky.cl
#

procedure       mksky( imlist, output, tmpsky, coords )

file    imlist          {prompt = "Input image list with @ mark"}
file    output          {prompt = "Output image name"}
file    tmpsky          {prompt = "Temporary sky frame"}
file    coords          {prompt = "Input coordinate list with @ mark"}

struct  *list1    {mode = 'h'}
struct  *list2    {mode = 'h'}
#
#
begin
        string  tmpfile1, tmpfile2, tmpfile3, tmpimage4
        string  junk1, junk2
        string  tmpimage1, tmpimage2, tmpimage3
        string  imlist1, output1, coords1, tmpsky1

        imlist1 = imlist
        output1 = output
        tmpsky1 = tmpsky
        coords1 = coords
        tmpfile1 = mktemp( "tmp_file." )
        tmpfile2 = mktemp( "tmp_file." )
        sections( imlist1, option='fullname', > tmpfile1 )
        sections( coords1, option='fullname', > tmpfile2 )
        list1 = tmpfile1
        list2 = tmpfile2

        tmpfile3 = mktemp( "tmp_file." )
        while( fscan( list1, junk1 ) == 1 ) {
          if( fscan( list2, junk2 ) == 1 ) {
            tmpimage1 = mktemp( "tmp_im." )
            tmpimage2 = mktemp( "tmp_im." )
            imarith( junk1, "-", tmpsky1, tmpimage1 )
            imedit( tmpimage1, tmpimage2, cursor=junk2, display-, radius=20, search=0, buffer=20, width=20 )
            print( tmpimage2, >> tmpfile3 )
            imdelete( tmpimage1 )
            print( junk1, " ended" )
            }}

        tmpimage3 = mktemp( "tmp_im." )
        imcomb("@"//tmpfile3 , tmpimage3,combine='median',reject='sigclip',outtype='real',lthresh=INDEF,hthresh=INDEF,lsigma=2, hsigma=2)
        imarith( tmpimage3, "+", tmpsky1, output1 )

        display( output1,1,fi+,zs+,zr+ )
        imdelete( "@"//tmpfile3 )
        imdelete( tmpimage3 )
        delete( tmpfile1,ver-,>&"dev$null" )
        delete( tmpfile2,ver-,>&"dev$null" )
        delete( tmpfile3,ver-,>&"dev$null" )
        bye
end



